Bug 519401 - Migration of Xen guest results in a paused, unresponsive domU
Summary: Migration of Xen guest results in a paused, unresponsive domU
Keywords:
Status: CLOSED DUPLICATE of bug 522850
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: xen
Version: 5.3
Hardware: x86_64
OS: Linux
medium
high
Target Milestone: rc
: ---
Assignee: Xen Maintainance List
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-08-26 13:28 UTC by Albert Hopkins
Modified: 2010-07-19 13:54 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-12-16 15:14:32 UTC


Attachments (Terms of Use)

Description Albert Hopkins 2009-08-26 13:28:51 UTC
When a Xen domU is migrated (via clusvcadm -M) the domU successfully migrates (as reported in both hosts' logs) but the guest sometimes ends up on the target dom0 in a paused state. 

Attempting to unpause the domU (xm unpause) sets the domU back to a blocked state but the domU is still inactive.  There is nothing on the console and the system cannot be pinged.  Running an xm destroy on the domU at this point sometimes results in a zombie.

If a domU ends up in a paused state after a migration we now just destroy it and let the cluster restart the domU again.  We then migration the domU again with no issue.

This issue appears similar to, if not a duplicate of,bug #512300.

Comment 1 Michal Novotny 2009-10-21 06:14:36 UTC
Could you provide us more information about the guest you used? Mainly type (PV/FV) and number of cpus/memory?

Thanks,
Michal

Comment 2 Michal Novotny 2009-10-21 06:17:31 UTC
(In reply to comment #0)
> When a Xen domU is migrated (via clusvcadm -M) the domU successfully migrates
> (as reported in both hosts' logs) but the guest sometimes ends up on the target
> dom0 in a paused state. 
> 
> Attempting to unpause the domU (xm unpause) sets the domU back to a blocked
> state but the domU is still inactive.  There is nothing on the console and the
> system cannot be pinged.  Running an xm destroy on the domU at this point
> sometimes results in a zombie.
> 
> If a domU ends up in a paused state after a migration we now just destroy it
> and let the cluster restart the domU again.  We then migration the domU again
> with no issue.
> 
> This issue appears similar to, if not a duplicate of,bug #512300.  

One more question since I have never run into this issue yet... You are using `clusvcadm -M` command which is cluster administration command, right ? So, you can reproduce it in cluster environment, right? Could you also reproduce it in non-cluster environment ?

Thanks,
Michal

Comment 12 Jiri Denemark 2009-12-16 15:14:32 UTC
Great, thanks for the testing. I'm setting this bug as a dup of bug 522850, then.

*** This bug has been marked as a duplicate of bug 522850 ***

Comment 13 Paolo Bonzini 2010-04-08 15:50:17 UTC
This bug was closed during 5.5 development and it's being removed from the internal tracking bugs (which are now for 5.6).

Comment 14 Chris Lalancette 2010-07-19 13:54:35 UTC
Clearing out old flags for reporting purposes.

Chris Lalancette


Note You need to log in before you can comment on or make changes to this bug.